---
title: "Remove Group Leader"
slug: "remove-group-leader"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/remove-group-leader"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Remove Group Leader
Post/api/v1/groups.removeLeader
Remove the `leader` role from a user in a private channel.
Permission required: `set-leader`
### Changelog
| Version | Description |
| --- | --- |
| 0.58.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"roomId": "ByehQjC44FwMeiLbX",
"userId": "oCHkav5Zf6vmpu2W2"
}
```
object roomIdstring Required
The private group ID. You can find the IDs by using any of the following endpoints:
- [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them.
- [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of.
ExampleByehQjC44FwMeiLbX
userIdstring Required
The user ID.
ExampleoCHkav5Zf6vmpu2W2
Responses200
OK
Success
```json
{
"success": true
}
```
object successboolean
400
Bad Request
User is not a leader
```json
{
"success": false,
"error": "User is not a leader [error-user-not-leader]",
"errorType": "error-user-not-leader"
}
```
object successboolean
errorstring
errorTypestring
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring